import distorm
import binascii
import random
import time

def decode16(hexcode):
	print "-----------------------Decode16Bits-----------------------"
	lines = distorm.Decode(0x100, binascii.unhexlify(hexcode), distorm.Decode16Bits)
	for i in lines:
		print "0x%08x (%02x) %-20s '%s'" % (i[0], i[1], i[3], i[2])
	print

def decode32(hexcode):
	print "-----------------------Decode32Bits-----------------------"
	lines = distorm.Decode(0x100, binascii.unhexlify(hexcode), distorm.Decode32Bits)
	for i in lines:
		print "0x%08x (%02x) %-20s '%s'" % (i[0], i[1], i[3], i[2])
	print

def decode64(hexcode):
	print "-----------------------Decode64Bits-----------------------"
	lines = distorm.Decode(0x100, binascii.unhexlify(hexcode), distorm.Decode64Bits)
	for i in lines:
		print "0x%08x (%02x) %-20s '%s'" % (i[0], i[1], i[3], i[2])
	print

def main():
	print distorm.info
	hexcode = "4863c048630063c063006663c0666300"
	decode16(hexcode)
	decode32(hexcode)
	decode64(hexcode)

main()
